Subject: Re: bug#58065: UNSUPPORTED test cases still can FAIL
From: Jacob Bachmeyer <[email-masked]>
To: Arsen Arsenović <[email-masked]>
Cc: [email-masked]
Date: Wed, 05 Oct 2022 20:23:56 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Arsen Arsenović wrote:
> On Wednesday, 5 October 2022 05:31:17 CEST Jacob Bachmeyer wrote:
>   
>> A preliminary patch has been pushed on the PR58065 branch at Savannah.
>> Please confirm that it resolves this issue.
>>     
> It does.
>   

Thank you.  The PR58065 branch has been merged to master and will be 
included in the future 1.6.4 release.

>> [...]
>>
>> The descriptions given were sufficient that I was able avoid examining
>> the offered test case and thus avoid needing associated copyright
>> paperwork.
>>     
> Huh, would have looking at the provided test even require such papers? 
> That seems a bit excess..
>   

There is a possibility of trouble if code subsequently added to DejaGnu, 
such as a regression test, were to be "significant" and sufficiently 
resemble the offered case, and papers were not in order.  Not looking at 
it short-circuits the whole problem.

In general, the GNU project seems to take a "better safe than sorry" 
angle on the issue, and the prospect of being "low-hanging fruit" for 
some future SCO-alike does not appeal to me.

-- Jacob